History Data
curl --request POST \
--url https://{your-domain}.fincode.software/api/v6/services/transactionmanagement/history-data \
--header 'Content-Type: application/json' \
--header 'X-Auth-Token: <x-auth-token>' \
--header 'platform: <platform>' \
--header 'uuid: <uuid>' \
--data '
{
"fromAmount": 0.1,
"toAmount": 100000000,
"fromDate": "2025-09-21",
"toDate": "2025-11-20",
"totalNumber": 200,
"startNumber": 1,
"customerCode": "<string>"
}
'import requests
url = "https://{your-domain}.fincode.software/api/v6/services/transactionmanagement/history-data"
payload = {
"fromAmount": 0.1,
"toAmount": 100000000,
"fromDate": "2025-09-21",
"toDate": "2025-11-20",
"totalNumber": 200,
"startNumber": 1,
"customerCode": "<string>"
}
headers = {
"platform": "<platform>",
"uuid": "<uuid>",
"X-Auth-Token": "<x-auth-token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
platform: '<platform>',
uuid: '<uuid>',
'X-Auth-Token': '<x-auth-token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
fromAmount: 0.1,
toAmount: 100000000,
fromDate: '2025-09-21',
toDate: '2025-11-20',
totalNumber: 200,
startNumber: 1,
customerCode: '<string>'
})
};
fetch('https://{your-domain}.fincode.software/api/v6/services/transactionmanagement/history-data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
API Endpoints
Customer Transaction History
Retrieves a paginated and filtered list of transactions.
POST
/
transactionmanagement
/
history-data
History Data
Retrieves the transaction history with support for filtering by amount, date, currency, status, and more. Uses
POST so the filtering parameters can be sent in the request body.
Request Headers
string
required
JWT Access Token of the authenticated user.
string
default:"fincode"
required
Platform identifier. Use
fincode.string
default:"200"
required
Unique request identifier.
Request Body
All fields are optional — omit any you do not need to filter by.integer
Number of records to return (page size). Defaults to all matching records if omitted.
integer
Zero-based offset for pagination. Use with
totalNumber to page through results.string
Start of the date range (ISO 8601 format, e.g.
2024-01-01T00:00:00Z).string
End of the date range (ISO 8601 format, e.g.
2024-12-31T23:59:59Z).number
Minimum transaction amount filter.
number
Maximum transaction amount filter.
string
ISO 4217 currency code to filter by (e.g.
GBP, NGN).string
Filter by transaction status. Common values:
PENDING, PROCESSED, FAILED, CANCELLED.string
Filter by delivery/transaction type (e.g.
ACCOUNTPAYMENT, MOBILE_MONEY, CASH_PICKUP).string
ISO 3166-1 alpha-3 destination country code filter (e.g.
NGA).string
Filter by transaction reference / PCN (Platform Control Number).
string
Filter by recipient account number.
string
Filter by recipient’s customer code.
string
Filter by sender’s full name (partial match).
string
Filter by recipient’s full name (partial match).
string
Filter by compliance check status.
Code Example
cURL
curl -X POST 'https://{your-domain}.fincode.software/api/v6/services/transactionmanagement/history-data' \
--header 'X-Auth-Token: YOUR_TOKEN' \
--header 'Content-Type: application/json' \
--header 'platform: fincode' \
--header 'uuid: 200' \
--data '{
"startNumber": 0,
"totalNumber": 20,
"fromDate": "2024-01-01T00:00:00Z",
"toDate": "2024-12-31T23:59:59Z",
"selectedCurrency": "GBP",
"status": "PROCESSED"
}'
Headers
Body
application/json
Response
200
Transaction history
